libglom-1.20: Glom::LayoutItem_Line Class Reference

libglom-1.20 1.19.14

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Glom::LayoutItem_Line Class Reference

This is only used on print layouts. More...

Inheritance diagram for Glom::LayoutItem_Line:
[legend]
Collaboration diagram for Glom::LayoutItem_Line:
[legend]

List of all members.

## Public Member Functions
| LayoutItem_Line ()
| LayoutItem_Line (const LayoutItem_Line& src)
LayoutItem_Line& | operator= (const LayoutItem_Line& src)
virtual | ~LayoutItem_Line ()
virtual LayoutItem* | clone () const
| Create a new copied instance.
bool | operator== (const LayoutItem_Line& src) const
virtual Glib::ustring | get_part_type_name () const
virtual Glib::ustring | get_report_part_id () const
| Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).
void | get_coordinates (double& start_x, double& start_y, double& end_x, double& end_y) const
| Get the coordinates.
void | set_coordinates (double start_x, double start_y, double end_x, double end_y)
| Set the coordinates.
double | get_line_width () const
void | set_line_width (double line_width)
Glib::ustring | get_line_color () const
void | set_line_color (const Glib::ustring& color)

## Detailed Description

This is only used on print layouts.

## Constructor & Destructor Documentation

Glom::LayoutItem_Line::LayoutItem_Line | ( |  | ) |

Glom::LayoutItem_Line::LayoutItem_Line | ( | const LayoutItem_Line& | src | ) |

virtual Glom::LayoutItem_Line::~LayoutItem_Line | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual LayoutItem* Glom::LayoutItem_Line::clone | ( |  | ) | const`[virtual]`

Create a new copied instance.

This allows us to deep-copy a list of LayoutItems.

Implements Glom::LayoutItem.

void Glom::LayoutItem_Line::get_coordinates | ( | double & | start_x,
|  | double & | start_y,
|  | double & | end_x,
|  | double & | end_y
| ) |  | const

Get the coordinates.

Glib::ustring Glom::LayoutItem_Line::get_line_color | ( |  | ) | const

double Glom::LayoutItem_Line::get_line_width | ( |  | ) | const

virtual Glib::ustring Glom::LayoutItem_Line::get_part_type_name | ( |  | ) | const`[virtual]`

Implements Glom::LayoutItem.

virtual Glib::ustring Glom::LayoutItem_Line::get_report_part_id | ( |  | ) | const`[virtual]`

Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).

Reimplemented from Glom::LayoutItem.

LayoutItem_Line& Glom::LayoutItem_Line::operator= | ( | const LayoutItem_Line& | src | ) |

bool Glom::LayoutItem_Line::operator== | ( | const LayoutItem_Line& | src | ) | const

void Glom::LayoutItem_Line::set_coordinates | ( | double | start_x,
|  | double | start_y,
|  | double | end_x,
|  | double | end_y
| ) |  |

Set the coordinates.

void Glom::LayoutItem_Line::set_line_color | ( | const Glib::ustring & | color | ) |

void Glom::LayoutItem_Line::set_line_width | ( | double | line_width | ) |

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/layoutitem_line.h